// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
nz-alert(*ngIf="displayDemo", nzBanner, nzCloseable, [nzMessage]="demoMessage")
ng-template(#demoMessage)
  | Use demo/demo to login. This is a demo instance reset everyday. As the account is shared by everyone, expect some bugs. If you want an instance just for you, click
  a(href="https://ryax.tech/ryax-demo-platform-request/") &nbsp;here
  | .

#ryax-login
  img#ryax-logo(src="assets/logo.svg")

  nz-card
    form(nz-form, [formGroup]="authForm", (ngSubmit)="onSubmit()")
      h1#ryax-title Log-in

      nz-form-item
        nz-form-label.ryax-label(nzFor="username", [nzSpan]="24")
          span Username
        nz-form-control([nzSpan]="24")
          input(nz-input, type="text", id="username", formControlName="username")
      nz-form-item
        nz-form-label.ryax-label(nzFor="password", [nzSpan]="24")
          span Password
        // , [nzExtra]="forgotTemplate"
        nz-form-control([nzSpan]="24")
          nz-input-group([nzSuffix]="suffixTemplate")
            input(nz-input, [type]="passwordVisible ? 'text' : 'password'", id="password", formControlName="password")

      button(nz-button, nzType="primary", type="submit", nzSize="large", [nzLoading]="loading$ | async") Log in

      //p#ryax-register No account ?&nbsp;
      //  a Register

  //h6
  //  a Terms of use & privacy policy

  #ryax-socials
    a(nz-button, nzShape="circle", nzType="link", href="https://discord.gg/an3PUgZNAk", target="_blank")
      img(src="assets/discord.png")
    a(nz-button, nzShape="circle", nzType="link", href="https://github.com/ryaxtech/ryax", target="_blank")
      img(src="assets/github.png")

  ng-template(#suffixTemplate)
    i(nz-icon, [nzType]="passwordVisible ? 'eye-invisible' : 'eye'", (click)="passwordVisible = !passwordVisible")

  //ng-template(#forgotTemplate)
  //  a#ryax-extra Forgot password ?
